String.toLocaleString({
	"en": {
		
	},
	"zh": zh_cn
});
////////////////////////////////////////////////////////////
//
//	localize
	var g_loc_button_today = "today";
	var g_loc_button_month = "month";
	var g_loc_button_week = "week";
	var g_loc_button_day = "day";
	var g_loc_monthname_1 = "January";
	var g_loc_monthname_2 = "February";
	var g_loc_monthname_3 = "March";
	var g_loc_monthname_4 = "April";
	var g_loc_monthname_5 = "May";
	var g_loc_monthname_6 = "June";
	var g_loc_monthname_7 = "July";
	var g_loc_monthname_8 = "August";
	var g_loc_monthname_9 = "September";
	var g_loc_monthname_10 = "October";
	var g_loc_monthname_11 = "November";
	var g_loc_monthname_12 = "December";

	var g_loc_monthnameshort_1 = "Jan";
	var g_loc_monthnameshort_2 = "Feb";
	var g_loc_monthnameshort_3 = "Mar";
	var g_loc_monthnameshort_4 = "Apr";
	var g_loc_monthnameshort_5 = "May";
	var g_loc_monthnameshort_6 = "Jun";
	var g_loc_monthnameshort_7 = "Jul";
	var g_loc_monthnameshort_8 = "Aug";
	var g_loc_monthnameshort_9 = "Sep";
	var g_loc_monthnameshort_10 = "Oct";
	var g_loc_monthnameshort_11 = "Nov";
	var g_loc_monthnameshort_12 = "Dec";

	var g_loc_dayname_0 = "Sunday";
	var g_loc_dayname_1 = "Monday";
	var g_loc_dayname_2 = "Tuesday";
	var g_loc_dayname_3 = "Wednesday";
	var g_loc_dayname_4 = "Thursday";
	var g_loc_dayname_5 = "Friday";
	var g_loc_dayname_6 = "Saturday";

	var g_loc_daynameshort_0 = "Sun";
	var g_loc_daynameshort_1 = "Mon";
	var g_loc_daynameshort_2 = "Tue";
	var g_loc_daynameshort_3 = "Wed";
	var g_loc_daynameshort_4 = "Thu";
	var g_loc_daynameshort_5 = "Fri";
	var g_loc_daynameshort_6 = "Sat";
	var g_loc_allday = "all-day";
		
	var g_loc_titleformat_month = "MMMM yyyy";
	var g_loc_titleformat_week = "MMM d[ yyyy]{ '&#8212;'[ MMM] d yyyy}";
	var g_loc_titleformat_day = "dddd, MMM d, yyyy";

	var g_loc_dtpicker_daynameshort_0 = "Su";
	var g_loc_dtpicker_daynameshort_1 = "Mo";
	var g_loc_dtpicker_daynameshort_2 = "Tu";
	var g_loc_dtpicker_daynameshort_3 = "We";
	var g_loc_dtpicker_daynameshort_4 = "Th";
	var g_loc_dtpicker_daynameshort_5 = "Fr";
	var g_loc_dtpicker_daynameshort_6 = "Sa";

	var g_loc_dtpicker_weekheader = "Wk";
//	locaize misc
	var g_loc_colon = ":";
	var g_loc_comma = ",";
	var g_loc_everyweek = "Weekly";
	var g_loc_year = " ";
	var g_loc_leftbracket = "(";
	var g_loc_rightbracket = ")";
	var g_loc_days = "days";
	var g_loc_validatefail = "please check your account & password .";
	var g_loc_googlecalendarsyncstart = "Syncing...";
	var g_loc_googlecalendarsyncsucceeded = "Sync succeeded";
	var g_loc_calendar = "Calendar";
	var g_loc_minicalendar = "Mini calendar";
	var g_loc_syncgooglecalendar = "sync google calendar";
	var g_loc_tagfilter_all = "all";
	var g_loc_updating = "Updateing";
	var g_loc_create = "Creating";
	var g_loc_download = "Download";
	var g_loc_upload = "Upload";
	var g_loc_setfirstweek = "Set first week";
	var g_loc_weeknumber = "Week %1 of %2";
	var g_loc_chooseColor = "Choose an event color";
	var g_loc_boldBlue = "bold blue";
	var g_loc_blue = "blue";
	var g_loc_turquoise = "turquoise";
	var g_loc_green = "green";
	var g_loc_boldGreen = "bold green";
	var g_loc_yellow = "yellow"
	var g_loc_orange = "orange";
	var g_loc_red = "red";
	var g_loc_boldRed = "bold red";
	var g_loc_purple = "purple";
	var g_loc_gray = "gray";
	var g_loc_none = "none";
	var g_loc_selectcalendar = "Select calendar";
	var g_loc_cancelauth = "Cancel Auth";

//	default edit page
	var g_loc_save = "save";
	var g_loc_giveup = "give up";
	var g_loc_delete = "delete";
	var g_loc_edit = "edit";

//	default create page
	var g_loc_notitle = "No title";
	var g_loc_when = "When";
	var g_loc_what = "What";
	var g_loc_createevent = "Create event";
//	create page
	var g_loc_backtocalendar = "Back to calendar";
	var g_loc_back = "back";
	var g_loc_cancel = "cancel";
	var g_loc_discard = "discard";
	var g_loc_to = "to";
	var g_loc_create_allday = "Allday";
	var g_loc_repeat = "Repeat";
	var g_loc_modify = "Modify";
	var g_loc_details = "Details";
	var g_loc_description = "Description";
	var g_loc_eventcolor = "Event color";
	var g_loc_reminders = "Reminders";
	var g_loc_tag = "Tag";
	var g_loc_untitled = "Untitled event";
//	repeat page
	var g_loc_repeatevery = "Repeat every";
	var g_loc_repeaton = "Repeat on";
	var g_loc_start = "Starts on";
	var g_loc_end = "Ends";
	var g_loc_never = "Never";
	var g_loc_on = "On";
	var g_loc_summary = "Summary";
	var g_loc_done = "Done";
		
	var g_loc_daily = "Daily";
	var g_loc_everyweekday = "EveryWeekday";
	var g_loc_everyweekday135 = "EveryWeekday135";
	var g_loc_everyweekday24 = "EveryWeekday24";
	var g_loc_everyweekday67 = "EveryWeekday67";
	var g_lod_monthly = "Monthly";
	var g_loc_yearly = "Yearly";
	var g_loc_chinesemonthly = "ChineseMonthly";
	var g_loc_chineseyearly = "ChineseYearly";
//	remind info 
	var g_loc_remind_twoweeks = "Two weeks";
	var g_loc_remind_oneweek = "One week";
	var g_loc_remind_twodays = "Two days";
	var g_loc_remind_oneday = "One day";
	var g_loc_remind_halfaday = "Half a day";
	var g_loc_remind_twohours = "Two hours";
	var g_loc_remind_onehour = "One hour";
	var g_loc_remind_fortyfive = "45 minutes";
	var g_loc_remind_thirty = "30 minutes";
	var g_loc_remind_fifteen = "15 minutes";
	var g_loc_remind_ten = "10 minutes";
	var g_loc_remind_five = "5 minutes";
	var g_loc_remind_noahead = "No ahead";
	var g_loc_remind_noremind = "No reminder";
//	sync google calendar 
	var g_loc_updatewizevent = "Updating WizCalendar event";
	var g_loc_createwizevent = "Creating WizCalendar event";
	var g_loc_deletewizevent = "Deleting WizCalendar event";
	var g_loc_updategoogleevent = "Updating GoogleCalendar event";
	var g_loc_creategoogleevent = "Creating GoogleCalendar event";	
	function initSetLanguage(lang){ String.locale = lang; }
	function localizeMisc(){
		g_loc_colon = localize(g_loc_colon);
		g_loc_year = localize(g_loc_year);
		g_loc_everyweek = localize(g_loc_everyweek);
		g_loc_leftbracket = localize(g_loc_leftbracket);
		g_loc_rightbracket = localize(g_loc_rightbracket);
		g_loc_days = localize(g_loc_days);
		g_loc_validatefail = localize(g_loc_validatefail);
		g_loc_googlecalendarsyncstart = localize(g_loc_googlecalendarsyncstart);
		g_loc_googlecalendarsyncsucceeded = localize(g_loc_googlecalendarsyncsucceeded);
		g_loc_calendar = localize(g_loc_calendar);
		g_loc_minicalendar = localize(g_loc_minicalendar);
		g_loc_syncgooglecalendar = localize(g_loc_syncgooglecalendar);
		g_loc_tagfilter_all = localize(g_loc_tagfilter_all);
		g_loc_updating = localize(g_loc_updating);
		g_loc_create = localize(g_loc_create);
		g_loc_download = localize(g_loc_download);
		g_loc_upload = localize(g_loc_upload);
		g_loc_comma = localize(g_loc_comma);
		g_loc_setfirstweek = localize(g_loc_setfirstweek);
		g_loc_weeknumber = localize(g_loc_weeknumber);
		g_loc_chooseColor = localize(g_loc_chooseColor);
		g_loc_boldBlue = localize(g_loc_boldBlue);
		g_loc_blue = localize(g_loc_blue);
		g_loc_turquoise = localize(g_loc_turquoise);
		g_loc_green = localize(g_loc_green);
		g_loc_boldGreen = localize(g_loc_boldGreen);
		g_loc_yellow = localize(g_loc_yellow);
		g_loc_orange = localize(g_loc_orange);
		g_loc_red = localize(g_loc_red);
		g_loc_boldRed = localize(g_loc_boldRed);
		g_loc_purple = localize(g_loc_purple);
		g_loc_gray = localize(g_loc_gray);
		g_loc_none = localize(g_loc_none);
		g_loc_selectcalendar = localize(g_loc_selectcalendar);
		g_loc_cancelauth = localize(g_loc_cancelauth);

	}
	function localizeDefaultEditPage(){
		g_loc_save = localize(g_loc_save);
		g_loc_giveup = localize(g_loc_giveup);
		g_loc_delete = localize(g_loc_delete);
		g_loc_edit = localize(g_loc_edit);
	}
	function localizeDefaultCreatePage(){
		g_loc_notitle = localize(g_loc_notitle);
		g_loc_when = localize(g_loc_when);
		g_loc_what = localize(g_loc_what);
		g_loc_createevent = localize(g_loc_createevent);
	}
	function localizeCreatePage(){
		g_loc_backtocalendar = localize(g_loc_backtocalendar);
		g_loc_back = localize(g_loc_back);
		g_loc_cancel = localize(g_loc_cancel);
		g_loc_discard = localize(g_loc_discard);
		g_loc_to = localize(g_loc_to);
		g_loc_create_allday = localize(g_loc_create_allday);
		g_loc_repeat = localize(g_loc_repeat);
		g_loc_modify = localize(g_loc_modify);
		g_loc_details = localize(g_loc_details);
		g_loc_description = localize(g_loc_description);
		g_loc_eventcolor = localize(g_loc_eventcolor);
		g_loc_reminders = localize(g_loc_reminders);
		g_loc_tag = localize(g_loc_tag);
		g_loc_untitled = localize(g_loc_untitled);
	}
	function localizeRepeatPage(){
		g_loc_repeatevery = localize(g_loc_repeatevery);
		g_loc_repeaton = localize(g_loc_repeaton);
		g_loc_start = localize(g_loc_start);
		g_loc_end = localize(g_loc_end);
		g_loc_never = localize(g_loc_never);
		g_loc_on = localize(g_loc_on);
		g_loc_summary = localize(g_loc_summary);
		g_loc_done = localize(g_loc_done);

		g_loc_daily = localize(g_loc_daily);
		g_loc_everyweekday = localize(g_loc_everyweekday);
		g_loc_everyweekday135 = localize(g_loc_everyweekday135);
		g_loc_everyweekday24 = localize(g_loc_everyweekday24);
		g_loc_everyweekday67 = localize(g_loc_everyweekday67);
		g_lod_monthly = localize(g_lod_monthly);
		g_loc_yearly = localize(g_loc_yearly);
		g_loc_chinesemonthly = localize(g_loc_chinesemonthly);
		g_loc_chineseyearly = localize(g_loc_chineseyearly);	
	}
	function localizeRemindInof(){
		g_loc_repeatevery = localize(g_loc_repeatevery);
		g_loc_remind_twoweeks = localize(g_loc_remind_twoweeks);
		g_loc_remind_oneweek = localize(g_loc_remind_oneweek);
		g_loc_remind_twodays = localize(g_loc_remind_twodays);
		g_loc_remind_oneday = localize(g_loc_remind_oneday);
		g_loc_remind_halfaday = localize(g_loc_remind_halfaday);
		g_loc_remind_twohours = localize(g_loc_remind_twohours);
		g_loc_remind_onehour = localize(g_loc_remind_onehour);
		g_loc_remind_fortyfive = localize(g_loc_remind_fortyfive);
		g_loc_remind_thirty = localize(g_loc_remind_thirty);
		g_loc_remind_fifteen = localize(g_loc_remind_fifteen);
		g_loc_remind_ten = localize(g_loc_remind_ten);
		g_loc_remind_five = localize(g_loc_remind_five);
		g_loc_remind_noahead = localize(g_loc_remind_noahead);
		g_loc_remind_noremind = localize(g_loc_remind_noremind);
	}
	function localizeSyncGoogleCalendar(){
		g_loc_updatewizevent = localize(g_loc_updatewizevent);
		g_loc_createwizevent = localize(g_loc_createwizevent);
		g_loc_deletewizevent = localize(g_loc_deletewizevent);
		g_loc_updategoogleevent = localize(g_loc_updategoogleevent);
		g_loc_creategoogleevent = localize(g_loc_creategoogleevent);

	}
	function localize(string) {
		var localized = string.toLocaleString();
		return localized;
	}	
	function wizLocalize(){
		// initSetLanguage("en");
		g_loc_button_today = localize(g_loc_button_today);
		g_loc_button_month = localize(g_loc_button_month);
		g_loc_button_week = localize(g_loc_button_week);
		g_loc_button_day = localize(g_loc_button_day);
		
		g_loc_monthname_1 = localize(g_loc_monthname_1);
		g_loc_monthname_2 = localize(g_loc_monthname_2);
		g_loc_monthname_3 = localize(g_loc_monthname_3);
		g_loc_monthname_4 = localize(g_loc_monthname_4);
		g_loc_monthname_5 = localize(g_loc_monthname_5);
		g_loc_monthname_6 = localize(g_loc_monthname_6);
		g_loc_monthname_7 = localize(g_loc_monthname_7);
		g_loc_monthname_8 = localize(g_loc_monthname_8);
		g_loc_monthname_9 = localize(g_loc_monthname_9);
		g_loc_monthname_10 = localize(g_loc_monthname_10);
		g_loc_monthname_11 = localize(g_loc_monthname_11);
		g_loc_monthname_12 = localize(g_loc_monthname_12);

		g_loc_monthnameshort_1 = localize(g_loc_monthnameshort_1);
		g_loc_monthnameshort_2 = localize(g_loc_monthnameshort_2);
		g_loc_monthnameshort_3 = localize(g_loc_monthnameshort_3);
		g_loc_monthnameshort_4 = localize(g_loc_monthnameshort_4);
		g_loc_monthnameshort_5 = localize(g_loc_monthnameshort_5);
		g_loc_monthnameshort_6 = localize(g_loc_monthnameshort_6);
		g_loc_monthnameshort_7 = localize(g_loc_monthnameshort_7);
		g_loc_monthnameshort_8 = localize(g_loc_monthnameshort_8);
		g_loc_monthnameshort_9 = localize(g_loc_monthnameshort_9);
		g_loc_monthnameshort_10 = localize(g_loc_monthnameshort_10);
		g_loc_monthnameshort_11 = localize(g_loc_monthnameshort_11);
		g_loc_monthnameshort_12 = localize(g_loc_monthnameshort_12);

		g_loc_dayname_0 = localize(g_loc_dayname_0);
		g_loc_dayname_1 = localize(g_loc_dayname_1);
		g_loc_dayname_2 = localize(g_loc_dayname_2);
		g_loc_dayname_3 = localize(g_loc_dayname_3);
		g_loc_dayname_4 = localize(g_loc_dayname_4);
		g_loc_dayname_5 = localize(g_loc_dayname_5);
		g_loc_dayname_6 = localize(g_loc_dayname_6);

		g_loc_daynameshort_0 = localize(g_loc_daynameshort_0);
		g_loc_daynameshort_1 = localize(g_loc_daynameshort_1);
		g_loc_daynameshort_2 = localize(g_loc_daynameshort_2);
		g_loc_daynameshort_3 = localize(g_loc_daynameshort_3);
		g_loc_daynameshort_4 = localize(g_loc_daynameshort_4);
		g_loc_daynameshort_5 = localize(g_loc_daynameshort_5);
		g_loc_daynameshort_6 = localize(g_loc_daynameshort_6);

		g_loc_allday = localize(g_loc_allday);
		
		g_loc_titleformat_month = localize(g_loc_titleformat_month);
		g_loc_titleformat_week = localize(g_loc_titleformat_week);
		g_loc_titleformat_day = localize(g_loc_titleformat_day);

		g_loc_dtpicker_daynameshort_0 = localize(g_loc_dtpicker_daynameshort_0);
		g_loc_dtpicker_daynameshort_1 = localize(g_loc_dtpicker_daynameshort_1);
		g_loc_dtpicker_daynameshort_2 = localize(g_loc_dtpicker_daynameshort_2);
		g_loc_dtpicker_daynameshort_3 = localize(g_loc_dtpicker_daynameshort_3);
		g_loc_dtpicker_daynameshort_4 = localize(g_loc_dtpicker_daynameshort_4);
		g_loc_dtpicker_daynameshort_5 = localize(g_loc_dtpicker_daynameshort_5);
		g_loc_dtpicker_daynameshort_6 = localize(g_loc_dtpicker_daynameshort_6);

		g_loc_dtpicker_weekheader = localize(g_loc_dtpicker_weekheader);

		localizeMisc();
		localizeDefaultEditPage();
		localizeDefaultCreatePage();
		localizeCreatePage();
		localizeRepeatPage();
		localizeRemindInof();
		localizeSyncGoogleCalendar();
	}
	// 
	wizLocalize();